Summary
Import compliance plan documents
Description
Insert compliance plan documents into the ucm_compliance_plans collection
Route
POST /configuration_manager/import/plans
Roles
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| plans | array | yes | Array of compliance plans |
{ "plans": [ { "_id": "proident fugiat anim nulla tempor", "name": "consectetur commodo", "description": "et commodo dolore", "nodes": [ { "treeId": "velit deserunt ut exercitation", "version": "proident labore est id quis", "nodeId": "irure nisi Lorem pariatur incididunt" } ], "gbac": { "read": [ "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b" ], "write": [ "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b" ] } }, { "_id": "sit Ut ut", "name": "sit", "description": "laborum", "nodes": [ { "treeId": "Excepteur", "version": "ut", "nodeId": "do ipsum ea aliquip consequat" }, { "treeId": "incididunt irure dolor ipsum", "version": "anim eiusmod incididunt dolore in", "nodeId": "ex eiusmod ut eu non" }, { "treeId": "mollit eu anim", "version": "nisi veniam ad amet", "nodeId": "eu" } ], "gbac": { "read": [ "63696917c49ecc7b03b5f02b" ], "write": [ "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b" ] } }, { "_id": "Excepteur", "name": "Ut laborum eu quis", "description": "labore magna", "nodes": [ { "treeId": "officia eiusmod incididunt culpa", "version": "irure nulla do", "nodeId": "labore" }, { "treeId": "ut Lorem eiusmod", "version": "adipisicing occaecat est et aute", "nodeId": "ullamco ad dolore elit mollit" }, { "treeId": "labore nisi", "version": "pariatur mollit reprehenderit ipsum", "nodeId": "culpa aliquip do consequat" }, { "treeId": "incididunt tempor dolor ipsum labore", "version": "proident ex Duis magna aliqua", "nodeId": "et" } ], "gbac": { "read": [ "63696917c49ecc7b03b5f02b" ], "write": [ "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b" ] } }, { "_id": "nulla dolor", "name": "dolore", "description": "cupidatat est", "nodes": [ { "treeId": "minim commodo", "version": "do", "nodeId": "adipisicing Lorem" }, { "treeId": "non cupidatat exercitation ut", "version": "sit deserunt sint", "nodeId": "ex dolore sit" } ], "gbac": { "read": [ "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b" ], "write": [ "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b" ] } }, { "_id": "veniam ullamco cillum officia deserunt", "name": "ullamco dolore dolore non", "description": "est", "nodes": [ { "treeId": "anim Ut velit enim eu", "version": "ipsum non in", "nodeId": "aute nisi ex adipisicing" }, { "treeId": "non dolore", "version": "commodo Excepteur", "nodeId": "occaecat adipisicing veniam velit nostrud" }, { "treeId": "dolore laborum Duis", "version": "in", "nodeId": "in pariatur sed sit" }, { "treeId": "sunt do ex", "version": "tempor ut", "nodeId": "in" }, { "treeId": "exercitation ea ad", "version": "in sint anim minim nulla", "nodeId": "in" } ], "gbac": { "read": [ "63696917c49ecc7b03b5f02b", "63696917c49ecc7b03b5f02b" ], "write": [ "63696917c49ecc7b03b5f02b" ] } } ] }
{ "type": "object", "properties": { "plans": { "title": "plans", "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string", "description": "The ID of the compliance plan." }, "name": { "type": "string", "description": "The name of the compliance plan to import" }, "description": { "type": "string", "description": "The description of the compliance plan to import" }, "nodes": { "type": "array", "items": { "type": "object", "properties": { "treeId": { "type": "string", "description": "The treeId of the GC that the node belongs to." }, "version": { "type": "string", "description": "The version of the GC tree that the node belongs to." }, "nodeId": { "type": "string", "description": "The configId of the node." }, "variables": { "type": "object", "example": "{ \"ipAddress\": \"1.2.3.4\" }" } } } }, "gbac": { "type": "object", "properties": { "read": { "type": "array", "items": { "type": "string", "examples": [ "63696917c49ecc7b03b5f02b" ] } }, "write": { "type": "array", "items": { "type": "string", "examples": [ "63696917c49ecc7b03b5f02b" ] } } } } } } } }, "required": [ "plans" ], "additionalProperties": false }
Return
| Name | Type | Description |
|---|---|---|
| status | object | Status of compliance plan import operation |
{ "status": "success", "message": "laboris consequat magna Excepteur" }
{ "title": "status", "type": "object", "properties": { "status": { "type": "string", "const": "success" }, "message": { "type": "string", "example": "2 compliance plan(s) imported successfully." } } }